# BibleBot
Written by GeneralHurricane and GPT-CHAT (any errors are the fault of GPT-CHAT)

## Info

BibleBot regularly scans posts and comments for things that look like Bible refences `(?P<prefix>\w*?)? *(?P<book>[a-zA-Z]+?)\s?(?P<chapter>\d{1,3})(?::(?P<startverse>\d{1,3})(?:-(?P<endverse>\d{1,3})?)?)`, then supplies them from the MariaDb container.  It supports World English Bible by default, but has options for KJV, ASV, and a few more public domain translations.

## Setup

BibleBot relies on [scrollmapper/bible_databases](https://github.com/scrollmapper/bible_databases.git) for references. Download the databases with:
```
git submodule init
git submodule update
```
Ensure Docker and docker-compose are installed

Create a file called `.env` and add the following to it:
```
RDRAMA_API_TOKEN=
RDRAMA_URL=https://rdrama.net
MARIADB_RANDOM_ROOT_PASSWORD=yes
MARIADB_USER=admin
MARIADB_PASSWORD=mysafeadminpassword
MARIADB_DATABASE=bible
BIBLEDB_HOST=bibledb
BIBLEBOT_ID=
PUSHBULLET_KEY=
PUSHBULLET_DEVICE_ID=
```
Fill in your `RDRAMA_API_TOKEN` and `BIBLEBOT_ID`.  You can change the user and password for the MARIADB - both containers will pick up the same config.  Optionally add a Pushbullet key and device ID if you want to get a notification when BibleBot inevitably crashes.  It sorta uses backoff and retry on failed API calls, but not enough really.  Feel free to open a PR!
